## GstStreamCollection GstStreamCollection |

## Functions

GstStreamCollection * | gst_stream_collection_new ()
gboolean | gst_stream_collection_add_stream ()
const gchar * | gst_stream_collection_get_upstream_id ()
guint | gst_stream_collection_get_size ()
GstStream * | gst_stream_collection_get_stream ()

## Types and Values

struct | GstStreamCollection
struct | GstStreamCollectionClass

## Includes

    #include <gst/gst.h>

## Description

## Functions

### gst_stream_collection_new ()

    GstStreamCollection *
    gst_stream_collection_new (const gchar *upstream_id);

### gst_stream_collection_add_stream ()

    gboolean
    gst_stream_collection_add_stream (GstStreamCollection *collection,
                                      GstStream *stream);

### gst_stream_collection_get_upstream_id ()

    const gchar *
    gst_stream_collection_get_upstream_id (GstStreamCollection *collection);

### gst_stream_collection_get_size ()

    guint
    gst_stream_collection_get_size (GstStreamCollection *collection);

### gst_stream_collection_get_stream ()

    GstStream *
    gst_stream_collection_get_stream (GstStreamCollection *collection,
                                      guint index);

## Types and Values

### struct GstStreamCollection

    struct GstStreamCollection {
      GstObject object;
    };

### struct GstStreamCollectionClass

    struct GstStreamCollectionClass {
      GstObjectClass parent_class;

      /* signals */
      void  (*stream_notify)      (GstStreamCollection *collection, GstStream *stream, GParamSpec * pspec);
    };